﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WindowsFormsApplication70
{
    public partial class Form1 : Form
    {
        DataTable dt = new DataTable();
        DataColumn sort = new DataColumn("Sort", typeof(string));
        DataColumn id = new DataColumn("ID", typeof(string));
        DataColumn item = new DataColumn("Item", typeof(string));
        DataColumn id2 = new DataColumn("ID2", typeof(string));
        public Form1()
        {
            InitializeComponent();

            dt.Columns.AddRange(new DataColumn[] { sort, id, item, id2 });

            dt.Rows.Add(new object[] { "Sort", "1", "Apple", "ID2" });
            dt.Rows.Add(new object[] { "Sort", "2", "Apple A", "ID2" });
            dt.Rows.Add(new object[] { "Sort", "3", "Apple B", "ID2" });
            dt.Rows.Add(new object[] { "Sort", "4", "Apple C", "ID2" });

            ultraCombo1.DataSource = dt;
            ultraCombo1.ValueMember = "ID";
            ultraCombo1.DisplayMember = "Item";

            ultraButton1.GotFocus += new EventHandler(ultraButton1_GotFocus);
        }

        void ultraButton1_GotFocus(object sender, EventArgs e)
        {
            Console.WriteLine("Value: "+ultraCombo1.Value.ToString()+", Text: "+ultraCombo1.Text);
        }

        private void ultraCombo1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            e.Layout.Bands[0].Columns["Sort"].Hidden = true;
            e.Layout.Bands[0].Columns["ID"].Hidden = true;
            e.Layout.Bands[0].Columns["ID2"].Hidden = true;
            ultraCombo1.AutoCompleteMode = Infragistics.Win.AutoCompleteMode.SuggestAppend;
        }
    }
}
